*////////////////////// B1 ////////////////////////////////////
*Overil Neu 11.6.96***********SETT1***************************
**************************************************************
*              + -in
*              | | out
*              | | |
.SUBCKT SETT1  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 
+                    ft=1MEG f2=1MEG N=10  
+                    V=24 VM=12 VS=1 
****************** vlastni makromodel B1 ***************
****** omezovac SR
G1 5 0 value={V/R*SIN(ATAN(A*V(3,2)/V*(1+PWR((A*V(3,2)/V),2)/2)))}
****** 2 poly a nula
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (SETT1)
****************************************************
*******************SETT2*****************************
**************************************************************
*              + -in
*              | | out
*              | | |
.SUBCKT SETT2  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 
+                    ft=1MEG f2=2MEG N=10  
+                    V=24 VM=12 VS=1 
****************** vlastni makromodel B1 ***************
****** omezovac SR
G1 5 0 value={V/R*SIN(ATAN(A*V(3,2)/V*(1+PWR((A*V(3,2)/V),2)/2)))}
****** 2 poly a nula
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (SETT2)
****************************************************
*******************SETT5*****************************
**************************************************************
*              + -in
*              | | out
*              | | |
.SUBCKT SETT5  3 2 6 PARAMS:  A=200 A2=500 Ro=100 R=1 
+                    ft=1MEG f2=5MEG N=10  
+                    V=24 VM=12 VS=1 
****************** vlastni makromodel B1 ***************
****** omezovac SR
G1 5 0 value={V/R*SIN(ATAN(A*V(3,2)/V*(1+PWR((A*V(3,2)/V),2)/2)))}
****** 2 poly a nula
R1 5 0 {R}
C1 5 0 {0.16*A2*N/R/f2}
C2 5 8 {0.16*A/R/fT}
****** omezovac Vout
G2 8 0 value={N/R*(VM*SIN(ATAN(A2*V(5,0)/VM*(1+(PWR((A2*V(5,0)/VM),2)/2))))-VS)}
R2 8 0 {R/N}
R3 8 6 {Ro-R}
****************************************************
.ENDS (SETT5)
****************************************************
